Bug 217225 - Review Request: perl-Apache-DBI - Initiate a persistent database connection
Review Request: perl-Apache-DBI - Initiate a persistent database connection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-25 05:00 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-25 08:14:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-11-25 05:00:44 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/perl-Apache-DBI.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/perl-Apache-DBI-1.05-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/perl-Apache-DBI-build.log
Description: 
This is version 1.05 of Apache::AuthDBI and Apache::DBI.

These modules are supposed to be used with the Apache server together with
an embedded perl interpreter like mod_perl. They provide support for basic
authentication and authorization as well as support for persistent database
connections via Perl's Database Independent Interface (DBI).

o DBI.pm provides persistent database connections:
  - connections can be established during server-startup
  - configurable rollback to ensure data integrity
  - configurable verification of the connections to avoid time-outs.

o AuthDBI.pm provides authentication and authorization:
  - optional shared cache for passwords to minimize database load
  - configurable cleanup-handler deletes outdated entries from the cache

Apache::DBI has been in widespread deployment on many platforms for
years.  Apache::DBI is one of the most widely used mod_perl related
modules.  It can be considered stable.

---
I'm not used to package PERL extension, but this one is needed by a project i work on (ocsinventory).
Comment 1 Ville Skyttä 2006-11-25 05:19:57 EST
The perldoc generated license files are not needed, and should go.  Instead, it
would be a good idea to ask upstream to include license files in the distribution.

Improved Summary suggestion: Persistent database connections with Apache/mod_perl

How about a "Requires: mod_perl"?  I'm not sure if this package would work at
all without it, but I suppose at least it's not that useful without it.

OPTIMIZE="$RPM_OPT_FLAGS" should go, this is a noarch package.

Include traces.txt and eg/ in docs?  Remember to do something like this in %prep:
    %{__perl} -pi -e 's|/usr/local/bin/perl|%{__perl}|' eg/startup.pl
    chmod 644 eg/startup.pl
Comment 2 Remi Collet 2006-11-25 06:07:41 EST
> How about a "Requires: mod_perl"?  I'm not sure if this package would work at
> all without it, but I suppose at least it's not that useful without it.
It can be used in cgi mode, so without mod_perl (ok, not very usefull).
Other perl-Apache extension didn't require it too.

Spec URL: http://remi.collet.free.fr/rpms/extras/perl-Apache-DBI.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/perl-Apache-DBI-1.05-2.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/perl-Apache-DBI-build.log

Changes
- no more perldoc
- no more OPTIMIZE
- traces.txt & eg/ add to %doc
- Improved Summary 
Comment 3 Ville Skyttä 2006-11-25 07:43:47 EST
Ok, approved.
Comment 4 Remi Collet 2007-05-16 08:38:43 EDT
Package Change Request
======================
Package Name: perl-Apache-DBI 
New Branches: EL-5 EL-4

Note You need to log in before you can comment on or make changes to this bug.